#include <stdio.h>
#include <stdlib.h>

int main(){
    int n, q, *s, *f;
    int i, j, k, count=0;

    /* Acquisizione n, q */
    scanf("%d", &n);
    scanf("%d", &q);

    /* Allocazione s, f */
    s=malloc(sizeof(int)*n);
    f=malloc(sizeof(int)*q);

    /* Acquisizione dati s, f */
    for(i=0; i<n; i++)
        scanf("%d", &s[i]);
    for(k=0; k<q; k++)
        scanf("%d", &f[k]);

    /* Calcolo del numero di piani raggiungibili */
    for(i=0; i<n; i++)
        for(k=0; k<q; k++)
            if (f[k]==s[i]){
                printf("piano %d raggiunto con scale %d\n", f[k], s[i]);
                f[k]=0;
            }
    for(i=0; i<n; i++)
        for(j=0; j<n; j++)
            for(k=0; k<q; k++)
                if (f[k]==s[i]+s[j]){
                    printf("piano %d raggiunto con scale %d %d\n", f[k], s[i], s[j]);                   
                    f[k]=0;
                }
    for(k=0, count=0; k<q; k++)  
        if(f[k]==0) count++;

    /* Stampa risultato */
    printf("%d\n", count);
    /* Rilasciare la memoria */
    free(s);
    free(f);
    return 0; 
}
